import { SimpleLocalIntegration } from '../../core/index.js';
import { Ccm15ConfigFlow } from './ccm15.classes.configflow.js';
import { createCcm15DiscoveryDescriptor } from './ccm15.discovery.js';
import type { ICcm15Config } from './ccm15.types.js';
import { ccm15Domain, ccm15Profile } from './ccm15.types.js';

export class Ccm15Integration extends SimpleLocalIntegration<ICcm15Config> {
  public readonly domain = ccm15Domain;
  public readonly discoveryDescriptor = createCcm15DiscoveryDescriptor();
  public readonly configFlow = new Ccm15ConfigFlow();

  constructor() {
    super(ccm15Profile);
  }
}

export class HomeAssistantCcm15Integration extends Ccm15Integration {}
